	  #include"reg51.h"
	  #include"intrins.h"
#define uchar unsigned char
#define uint unsigned int
delay(uint t)
{
uint i,j;
for(j=t;j>0;j--) 	
	for(i=110;i>0;i--);
}
main()
{
  uint n=0xfe;
     while(1)
	{
   		P1=n;
 		delay(1000);
		n=_crol_(n,1);
	}
}